<script setup>
import PreviewLayout from '../components/PreviewLayout.vue';
import FieldsForms from '../components/FieldsForms.vue';
import LogoutButton from '../components/LogoutButton.vue';
import CreateButton from '../components/CreateButton.vue';
</script>

<template>
    <el-container>
        <el-header style="display: flex; justify-content: end"><LogoutButton /></el-header>
        <el-main>
            <div id="editor">
                <div id="options-section">
                    <FieldsForms />
                </div>
                <div id="layout-section">
                    <suspense><PreviewLayout /></suspense>
                    <div id="create-button-container">
                        <CreateButton />
                    </div>
                </div>
            </div>
        </el-main>
    </el-container>
</template>

<style>
#editor {
    display: grid;
    grid-template-columns: 1fr 70px 1fr;
    grid-template-areas: 'options space layout';
}

#options-section {
    grid-area: options;
}

#create-button-container {
    display: flex;
    justify-content: center;
    align-self: end;
}

@media (min-width: 1024px) {
    #layout-section {
        display: grid;
        grid-area: layout;
    }
}
</style>
